cURL
curl --request GET \ --url https://api.coval.dev/v1/review-projects/{project_id} \ --header 'X-API-Key: <api-key>'
{ "review_project": { "name": "review-projects/01HXYZ1234567890ABCDEF", "id": "01HXYZ1234567890ABCDEF", "display_name": "<string>", "assignees": [ "<string>" ], "linked_simulation_ids": [ "<string>" ], "linked_metric_ids": [ "<string>" ], "project_type": "PROJECT_INDIVIDUAL", "notifications": true, "create_time": "2023-11-07T05:31:56Z", "update_time": "2023-11-07T05:31:56Z", "description": "<string>", "project_rules": [] } }
Get a single review project by ID.
Documentation IndexFetch the complete documentation index at: https://docs.coval.dev/llms.txtUse this file to discover all available pages before exploring further.
Fetch the complete documentation index at: https://docs.coval.dev/llms.txt
Use this file to discover all available pages before exploring further.
Organization API key for authentication
The project ID (ULID)
Project retrieved successfully
A single review project resource.
Show child attributes
Was this page helpful?